using embedding_factory

# define the coordinates of the system
#
# Unit cell file (it must contain in the comment line LATTICE followed by 9 numbers
uc_file = "./MgO_bulk.xyz"
# Quantum part (ordinary xyz file)
qm_file = "./MgO_clust.xyz"
#definition of elements and charges
charge_dict = Dict("Mg" => 2, "O" => -2)

# region of charges
Charges_Radius=20
Charges_Center=[0.0,0.0,0.0]
#Charges_Size=[4, 4, 4]

# region of AIMPs
AIMP_Radius=5
#AIMP_Size=[2, 2, 2]


#Multipoles to eliminate. Max=10, Default=4
MaxMultipole=3

#template for Spherical based cluster
input = Dict("elmoment" => MaxMultipole,
             "unit_cell_file" => uc_file,
             "qm_file" => qm_file,
             "cluster_radius" => Charges_Radius,
             "aimp_radius" => AIMP_Radius,
             "reference" => Charges_Center,
             "charge_dict" => charge_dict)

#template for Unit cell based cluster
input_UC = Dict("elmoment" => MaxMultipole,
             "unit_cell_file" => uc_file,
             "qm_file" => qm_file,
             "cluster_size" => Charges_Size,
             "aimp_radius" => AIMP_Size,
             "reference" => Charges_Center,
             "charge_dict" => charge_dict)
embedding(input)
#embedding(input_UC)
